require 'errand_boy/version'
require 'errand_boy/brain'
require 'errand_boy/request'
require 'errand_boy/csv'
require 'errand_boy/git'
require 'errand_boy/error'
require 'errand_boy/validator'
require 'errand_boy/validator/base'
require 'errand_boy/validator/slack_invite'
require 'errand_boy/gateway'
require 'errand_boy/gateway/slack'
require 'errand_boy/csv/base'
require 'errand_boy/csv/slack_invite'

module ErrandBoy
  class << self
    def slack_access_token
      ENV['SLACK_ACCESS_TOKEN']
    end
  end
end
