module ErrandBoy
  module Gateway
    def self.build(request)
      provider = request.provider.capitalize
      const_get(provider).new(request)
    rescue
      raise NoProviderError, "No such provider `#{provider}`."
    end
  end
end
