require 'git'

module ErrandBoy
  class Git
    def initialize(working_dir)
      @git = ::Git.open(working_dir)
    end

    def push
      @git.push 'origin', branch
    end

    def commit(message)
      @git.add
      @git.commit message
    end

    def branch
      @git.lib.branch_current
    end
  end
end
